Bug 123557 - FILEOPEN: triggered animations in PPTX aren't imported
Summary: FILEOPEN: triggered animations in PPTX aren't imported
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords: filter:pptx
Depends on:
Blocks: PPTX Custom-Animations
  Show dependency treegraph
 
Reported: 2019-02-19 06:30 UTC by Mark Hung
Modified: 2019-03-02 02:12 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
PPTX with triggered animations. (31.52 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2019-02-19 06:31 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2019-02-19 06:30:14 UTC
Description:
Triggered animations, or interactive sequences are not imported are not imported correctly.

Steps to Reproduce:
1. Open the attached file.
2. Click on the disk shape graphic object twice.
3. Click on the circle.


Actual Results:
Nothing happened. None of the effect is listed in the Custom Animation pane on the sidebar.

Expected Results:
1.Open the attached file.
2.First click on the disk object should trigger the animation of the circle.
3.Second click on the disk object should trigger the animation of the triangle.
4. Clicking on the circle should trigger the animation of the rectangle.



Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Mark Hung 2019-02-19 06:31:00 UTC
Created attachment 149399 [details]
PPTX with triggered animations.
Comment 2 Roman Kuznetsov 2019-02-19 13:33:56 UTC
More correct steps:

1. Open the attached file.
2. Start slide show
3. Click on the disk shape graphic object twice.
4. Click on the circle.


Repro in

Version: 6.3.0.0.alpha0+
Build ID: c57dc7d41bd62f933cffab6131edb7252606382d
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 3 Commit Notification 2019-02-25 09:32:36 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7b04874fc5a1385c05da0b9abb9cc71818fdbb89%5E%21

tdf#123557 PPTX: import timenode condition targets.

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-02-27 10:13:00 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4076b7589a7c856beb4fe2f7f5cd784443415cd3%5E%21

tdf#123557 PPTX: Export timenode condition targets.

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.